<div class="m-3">
    <div class="modal-header">
        <span *ngIf="!UserEMPloyees">{{'admin.addEmployee' | translate}}</span>
        <span *ngIf="UserEMPloyees">{{'admin.editEmployee' | translate}}</span>
    </div>
    <div class="modal-body">
        <form [formGroup]="form">
            <label class="form-label">{{'admin.firstname' | translate}}<span class="text-danger">*</span></label>
            <input type="text" class="form-control" formControlName="firstName">

            <label class="from-label">{{'admin.lastname' | translate}}<span class="text-danger">*</span></label>
            <input type="text" class="form-control" formControlName="lastName">

            <label for="patronymic" class="form-label">{{'admin.patronymic' | translate}}</label>
            <input type="text" class="form-control" formControlName="patronymic">

            <label for="iin" class="form-label">{{'shared.iin' | translate}}}<span class="text-danger">*</span></label>
            <input type="text" class="form-control" placeholder="Введите ИИН" maxlength="12" formControlName="iin">

            <label for="email" class="form-label">{{'admin.email' | translate}}<span class="text-danger">*</span></label>
            <input type="email" class="form-control" formControlName="email">

            <label for="birthDate" class="form-label">{{'admin.birthdate' | translate}}<span class="text-danger">*</span></label>
            <input type="date" class="form-control" formControlName="birthDate">

            <label class="form-label">{{'admin.phone' | translate}}<span class="text-danger">*</span></label>
            <input type="tel" class="form-control" id="phoneNumber" formControlName="phoneNumber" maxlength="18">

            <label class="form-label">{{'admin.department' | translate}}<span class="text-danger">*</span></label>
            <select class="form-select" (change)="changeRole($event)">
                <option [value]="item.id" *ngFor="let item of roles">{{item.nameKz}}</option>
            </select>

            <label class="form-label">{{'admin.role' | translate}}<span class="text-danger">*</span></label>
            <select class="form-select" formControlName="positionId">
                <option [value]="item.id" *ngFor="let item of positions">{{item.nameKz}}</option>
            </select>

            <label class="form-label">{{'admin.password' | translate}}<span class="text-danger">*</span></label>
            <input type="password" class="form-control" placeholder="Введите пароль" formControlName="password">

            <label class="form-label">{{'admin.passwordConfirmation' | translate}}<span class="text-danger">*</span></label>
            <input type="password" class="form-control" placeholder="Подтвердите пароль" (keyup)="onConfirm()"
                formControlName="confirmPassword">
            <div *ngIf="onConfirm() && form.get('confirmPassword').touched">
                <small class="text-danger">{{'admin.notmatch' | translate}}</small>
            </div>

            <div class="modal-footer p-0 mt-2" *ngIf="!UserEMPloyees">
                <button class="btn btn-outline-dark w-100 m-0" role="submit" [disabled]="form.invalid || onConfirm()"
                    (click)="onAddEmployee()">{{'admin.add' | translate}}</button>
            </div>
            <div class="modal-footer p-0 mt-2" *ngIf="UserEMPloyees">
                <button class="btn btn-outline-dark w-100 m-0" role="submit" [disabled]="form.invalid || onConfirm()"
                    (click)="editEmployee()">{{'admin.edit' | translate}}</button>
            </div>


        </form>
    </div>
</div>
